<?php
//クラスを定義/////////////////////////////////////////////////////////////////
class DEMO_PRESS_VARS
{

//ver2.2 2017.06.20
//式と値のデリミタはタブとイコール ラベルのデリミタはタブとコメント
//ラベルの##は改行に変換 値の#Nは改行に変換 #Hは水平線に変換 値中の{QUOT}は二重引用符に置き換わる
//初期値へのロールバックは {ROLLBACK} と入力して保存する
//#TAはテキストエリア
//#TEはテキストエディタ
//#CAT_CBはカテゴリチェックボックス
//#PST_CBは投稿タイプチェックボックス
//#PST_SBは投稿タイプセレクトボックス
//#UID_CBはユーザーIDチェックボックス
//#UID_SBはユーザーセレクトボックス
//#UID_MSBはユーザーマルチセレクトボックス
//#RB{{する::1==1}}{{しない::0}} ラジオボタン
//#CB{{選択肢1::1==1}}{{選択肢2::2}} チェックボックス
//#SB{{選択肢1::1==1}}{{選択肢2::2}} セレクトボックス
//#MSB{{選択肢1::1==1}}{{選択肢2::2}} マルチセレクトボックス
//#UPはメディアライブラリ呼び出し
//#CPはカラーピッカー呼び出し
//#FSは可変関数でフリースペースへ
//#LK{{http://hoge.com/::リンク}}はリンクに変換
//#DGはグレー表示で無効 プラグインのヘッダDescriptionに#DEMOと入れると有効化
//#HELP{{説明文}}HELP# スライド式説明文を表示 HTMLタグ使用可
//#TAB{{テスト}} インナータブ機能追加



//<内部設定:demo-press-inner-setting>

	const SETTING_NAME		= "DemoPress-setting";		//設定名
	const MENU_PREFIX		= "DemoPress";				//メニュー名プレフィックス
	const ENTRY_NAME		= "DemoPress-entry";		//ユーザー登録名
	const NOUNCE_KEY		= "DemoPress";				//nounceキー
	const TEMPLATE_FILE		= "template.html";			//設定用テンプレートファイル
	const SETTING_FILE_NAME	= "class_vars.php";			//この設定ファイル名
	const DEFAULT_TIMEZONE	= 'UTC';					//デフォルトに戻すタイムゾーン
	const CMD				= "cmd";					//保存コマンド

//</内部設定>


	//プライベート変数を定義
	private $vars = array();

	//値渡し用パブリック変数を定義
	public $tmp = 0;

	//コンストラクタ 最初にやる処理をここに記述しておく////////////////////////
	function __construct()
	{
		global $JP;

		$this->vars = $JP->LOAD_SETUP_VAR( __FILE__ );
	}
	//セッターメソッド/////////////////////////////////////////////////////////
	function __set( $key , $value )
	{
		$this->$key = $value;
		return $this->vars[ $key ];
    }
	//ゲッターメソッド/////////////////////////////////////////////////////////
	function __get( $key )
	{
		return $this->vars[ $key ];
    }

}
?>