<?php

/*
Plugin Name: demo press
Plugin URI: https://wp-plugin.info/
Description: デモサイト認証用プラグイン。
Version: 0.9.5
Notice: 0
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2022-05-20
Changelog: ユーザー登録時のメールチェックを修正
2022-05-20 0.9.5 ユーザー登録時のメールチェックを修正
2022-05-16 0.9.4 ユーザー登録後にメール送信機能を追加
2020-09-08 0.9.2 Amazon Press、Raku Press、Reddit Press、Mersearch Pressを追加
2020-07-02 0.9.1 FANXXA Pressを追加
2020-03-18 0.9.0 テーマサポートプレスとブレインプレスとヤフオクサーチプレスと2.5ちゃんプレスを追加
2019-12-28 0.8.9 ポケットプレスとタンブラープレスを追加
2019-11-29 0.8.8 Translate Pressを追加
2019-11-19 0.8.7 Stealth Redirect Pressを追加
2019-07-04 0.8.6 デモユーザー登録機能を追加
2019-03-26 0.8.5 Auto Blog Rewrite・Magical Rewrite Post・Copy Paste Check Press・Thumbnail Press を追加
2018-06-28 0.8.5 Delete Press・Tweet Press・Auto Twitter Follow・WP Go2 Twitterを追加
2018-04-24 0.8.4 ユーチューバープレス・ゲッツイン・RSSスクレイピングプレスを追加
2018-02-20 0.8.0 初リリース
*/
 if( class_exists( 'JointPress' ) ) {  require_once( dirname( __FILE__ ) . '/class_vars.php' ); $DEMO_V = new DEMO_PRESS_VARS();   $DEMO = new DemoPress(); } else {  if(! function_exists( 'JOINTPRESS_DASHBOARD_NOTICE' ) ) {  add_action( 'admin_notices' , 'JOINTPRESS_DASHBOARD_NOTICE' );  function JOINTPRESS_DASHBOARD_NOTICE() { ?>

<div class="error">
	<p style="font-size:1.5rem; color:red;">共通ライブラリプラグイン Joint Pressがインストールされていません。先にJoint Pressをインストールして下さい。Joint Pressのダウンロードは<a href="<?php echo 'https://wp-plugin.info/wp-content/uploads/mhs-joint-press.zip'; ?>">こちら</a>から可能です。</p>
</div>
<?php
 } } } class DemoPress {  function __construct() { global $DEMO_V , $JP;  $PATROL_FLAG = $DEMO_V->PATROL_FLAG; $SCHEDULE_NAME = $DEMO_V->SCHEDULE_NAME;  add_action( 'admin_menu' , array( &$this , 'ADMIN_MENU' ) );  add_action( 'init' , array( &$this , 'VERSION_CHECK_WRAPPER' ) );  add_action( 'init' , array( &$this , 'USER_PRE_ENTRY' ) );  add_action( 'init' , array( &$this , 'USER_ENTRY' ) );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  add_action( 'wp_ajax_nopriv_' . $item_name . '-user_authentication', array( &$this , 'AJAX_AUTHENTICATION' ) ); add_action( 'wp_ajax_' . $item_name . '-user_authentication', array( &$this , 'AJAX_AUTHENTICATION' ) ); add_action( 'wp_ajax_nopriv_' . $item_name . '-user_entry', array( &$this , 'AJAX_USER_ENTRY' ) ); add_action( 'wp_ajax_' . $item_name . '-user_entry', array( &$this , 'AJAX_USER_ENTRY' ) );  add_action( 'wp_dashboard_setup' , array( &$this , 'ADMIN_DASHBOARD_MENU_WRAPPER' ) );   add_filter( 'plugin_action_links' , array( &$this , 'ADD_PLUGIN_SETTING_LINK' ) , 10 , 2 ); }  function VERSION_CHECK_WRAPPER()  {  if(! is_admin() ) { return; } global $JP;  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  $H_auth = $JP->GET_OPTION( $item_name . '-' . 'authentication' );  if( $H_auth and is_array( $H_auth[ 'item' ] ) ) {  $H_auth[ 'item' ][ 'name' ] = $item_name; $H_auth[ 'item' ][ 'cmd' ] = 'ver_check'; $H_auth[ 'item' ][ 'type' ] = 'pl'; $H_auth[ 'item' ][ 'ref_url' ] = $ref_url;  unset( $H_auth[ 'item' ][ 'REQUEST' ] );  $query_string = http_build_query( $H_auth[ 'item' ] , null , '&' ); }  else {  $H_arg = array( 'cmd' => 'ver_check' , 'type' => 'pl' , 'name' => $item_name , 'ref_url' => $ref_url );  $query_string = http_build_query( $H_arg , null , '&' ); }  $JP->VERSION_CHECK( 'https://wp-plugin.info/?' . $query_string , __FILE__ ); }  function ADD_PLUGIN_SETTING_LINK( $A_links , $file_path ) {  $this_plugin = plugin_basename( __FILE__ );  if( $file_path != $this_plugin ) { return $A_links; }  $entry_link = '<a href="' . get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=' . $this_plugin . '">ユーザー登録</a>';  array_unshift( $A_links , $entry_link ); return $A_links; }  function ADMIN_DASHBOARD_MENU() {  $H_menus = array ( 'ユーザー登録' => $this_plugin = plugin_basename( __FILE__ ) , ); ?>

<div class="dashboard-shortcut-menu-wrapper">

<?php
  foreach( (array)$H_menus as $label => $link ) { $url = get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=' . $link; ?>
	<a href="<?php echo $url; ?>">
		<div class="dashboard-shortcut-menu">
			<?php echo $label; ?>
		</div>
	</a>
<?php
 } ?>

</div>

<style>

.dashboard-shortcut-menu-wrapper
{
	display: flex;
	flex-wrap:wrap;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;

}
.dashboard-shortcut-menu
{
	display: flex;
	justify-content: center;
	align-items: center;

	background: linear-gradient(to bottom, #ffffff 0%,#f3f3f3 50%,#ededed 51%,#ffffff 100%);

	width: 120px;
	height: 120px;

	border: 1px solid #bbb;
	border-radius: 8px;

	box-shadow: 2px 2px 4px -2px #ececec;

	padding: 0.5rem;
	margin: 5px;
}
.dashboard-shortcut-menu:hover
{
	background: linear-gradient(to bottom, #f6f8f9 0%,#e5ebee 50%,#d7dee3 51%,#f5f7f9 100%);
}
.dashboard-shortcut-menu-wrapper a
{
	color: #333;
	text-decoration: none;
}
</style>

<?php
 }  function ADMIN_DASHBOARD_MENU_WRAPPER() {  $plugin_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $plugin_name = str_replace( array( '-' , '_' ) , ' ' , $plugin_name ); $A_name = explode( ' ' , $plugin_name );  $A_name = array_values( array_filter( $A_name , "strlen" ) );  for( $i=0; $i < count( $A_name ); $i++ ) { $A_name[ $i ] = ucfirst( $A_name[ $i ] ); } $widget_title = implode( ' ' , $A_name ) . ' メニュー'; wp_add_dashboard_widget( $plugin_name . '_menu_widget' , $widget_title , array( &$this , 'ADMIN_DASHBOARD_MENU' ) ); }  function USER_DASHBOARD_NOTICE() { global $DEMO_V , $JP;  foreach( (array)$DEMO_V as $val ) { if( is_array( $val )){ extract( $val ); } }  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $option_name = $item_name . '-' . 'authentication';  $H_auth = $JP->GET_OPTION( $option_name );  $basename = plugin_basename( __FILE__ );  if(! $H_auth or $H_auth[ 'res' ][ 'status' ] == 'error' ) {  $auth_url = admin_url( 'admin.php?page=' . $ENTRY_NAME ); echo <<< EOM
		<div class="message error">
			<p>デモサイトのユーザー登録(無料)が完了していません。こちらから<a href="{$auth_url}">デモサイトのユーザー登録</a>を行って下さい。</p>
		</div>

EOM;
 } }  function TEST() { global $DEMO_V , $JP;  foreach( (array)$DEMO_V as $val ) { if( is_array( $val )){ extract( $val ); } }  $this->RESTORE_DATA( $RESTORE_LISTS );  $this->RESTORE_POSTS( $RESTORE_USER , $DEL_POST_LIMIT );  $this->RESTORE_COMMENTS( $RESTORE_USER , $DEL_COM_LIMIT ); }  function USER_ENTRY_FINISH( $mail ) { global $DEMO_V , $JP;  foreach( (array)$DEMO_V as $val ) { if( is_array( $val )){ extract( $val ); } }  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name; $this->HTML_HEADER( '本会員登録' ); ?>
<div class="demo-press-container">
	<div class="ui info message">
		<div class="header">
			<h1 class="ui header">本会員登録</h1>
		</div>
		<p>本会員登録を行います。ログインパスワードを設定して下さい。</p>

		<form class="ui form">
			<div class="field">
				<label>希望するパスワード(12文字以上)</label>
				<input type="text" id="pass" name="password" placeholder="希望するパスワード">
			</div>
			<div class="field">
				<label>クイズ: ももたろうが腰につけているものはなに?</label>
				<input type="text" id="quiz" name="quiz" placeholder="ひらがなで回答して下さい">
			</div>
<!--
			<div class="field">
				<div class="ui checkbox">
					<input type="checkbox" tabindex="0" class="hidden">
					<label>I agree to the Terms and Conditions</label>
				</div>
			</div>
-->
			<button id="button" class="ui fluid positive button" type="button">登録する</button>
		</form>


	</div>
</div>


<!-- 入力エラーモーダルダイアログ -->
<div class="ui modal input-error">
  <i class="close icon"></i>

  <div class="header">入力エラー</div>

  <div class="content">

    <div class="description">

      <div class="ui header">入力ミスがあります</div>

      <p>パスワードまたはクイズが正しく入力されていませんでした。再度確認した上で入力をお願いします。</p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>

<!-- 入力エラーモーダルダイアログ -->
<div class="ui modal input-error2">
  <i class="close icon"></i>

  <div class="header">入力エラー</div>

  <div class="content">

    <div class="description">

      <div class="ui header">パスワード入力ミス</div>

      <p>パスワードは半角英数字のみ有効です。再度確認した上で入力をお願いします。</p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>


<!-- 入力エラーモーダルダイアログ -->
<div class="ui modal input-error3">
  <i class="close icon"></i>

  <div class="header">入力エラー</div>

  <div class="content">

    <div class="description">

      <div class="ui header">パスワードの文字数エラー</div>

      <p>パスワードは12文字以上でなければなりません。再度確認した上で入力をお願いします。</p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>


<!-- ajax通信結果モーダルダイアログ -->
<div class="ui modal ajax-result">
  <i class="close icon"></i>

  <div class="header">登録結果</div>

  <div class="content">

    <div class="description">
      <p></p>
    </div>

  </div>

  <div class="actions">
    <div id="success-btn" class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>


<!-- ajax通信結果モーダルダイアログ -->
<div class="ui modal ajax-result-error">
  <i class="close icon"></i>

  <div class="header">登録結果</div>

  <div class="content">

    <div class="description">
      <p></p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>


<script type="text/javascript">

jQuery( function( $ )
{

	$( '#success-btn' ).click( function()
	{
		//ログインURLにリダイレクト
		location.href = '<?php echo wp_login_url(); ?>';
	});

	$( '#button' ).click( function()
	{
		//モーダルを初期化
		$( '.ui.modal.ajax-result .content p' ).empty();


		var $pass	= $( '#pass' ).val();
		var $quiz	= $( '#quiz' ).val();

		//パスワードが条件を満たしていなければ
		if( $pass.length < 12 )
		{
			//モーダルダイアログを表示
			$( '.ui.modal.input-error3' ).modal( 'show' );

			return false;
		}

		//パスワードまたはクイズが入力されていなければ
		if(! $pass || ! $quiz )
		{
			//モーダルダイアログを表示
			$( '.ui.modal.input-error' ).modal( 'show' );

			return false;
		}

		//パスワードが半角英数字以外であれば
		if(! $pass.match( /^[0-9a-zA-Z\_\-]+$/gi ) )
		{
			//モーダルダイアログを表示
			$( '.ui.modal.input-error2' ).modal( 'show' );

			return false;
		}




		data = 
		{
			action 	: '<?php echo $item_name; ?>-user_entry' ,	//アクションフックに紐付けする名前
			pass	: $pass ,
			mail	: '<?php echo $mail; ?>' ,
			quiz	: $quiz ,
			token	: <?php echo '"' . wp_create_nonce( $nounce_key ) . '"'; ?> 
		};


		$.ajax(
		{
			url		: "<?php echo admin_url( 'admin-ajax.php' ); ?>" ,
			type	: 'POST' ,
			cache	: false ,
			timeout	: 5000 ,
			data	: data
		})
		.success( function( data , state )
		{
			//書き換え
			$( '.ui.modal.ajax-result .content p' ).html( data.msg );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-result' ).modal( 'show' );

			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			//書き換え
			$( '.ui.modal.ajax-result-error .content p' ).html( "通信処理は失敗しました" );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-result-error' ).modal( 'show' );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});

	});

});
</script>

<?php
 $this->HTML_FOOTER(); }  function HTML_HEADER( $title = '無題') { ?>
<!doctype html>
<html lang="ja">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title><?php echo $title; ?></title>
        <meta name="viewport" content="width=device-width, initial-scale=1">

<?php $this->SHOW_SCRIPT_CSS(); ?>

    </head>
    <body>

<?php
 }  function HTML_FOOTER() { ?>
    </body>
</html>
<?php
 }  function ERROR_NO_REGIST() { $this->HTML_HEADER( '未登録エラー' ); ?>
<div class="demo-press-container">
	<div class="ui negative message">
		<div class="header">
			<h1 class="ui header">未登録エラー</h1>
		</div>
		そのメールアドレスは仮会員登録が完了していないようです。仮会員登録からやり直して下さい。
	</div>
</div>
<?php
 $this->HTML_FOOTER(); }  function ERROR_AREADY() { $this->HTML_HEADER( '二重登録エラー' ); ?>
<div class="demo-press-container">
	<div class="ui negative message">
		<div class="header">
			<h1 class="ui header">二重登録エラー</h1>
		</div>
		既に登録が完了しているようです。本登録時に送信されたメールにログインURLが記載されていますので、そこからログインをお願いします。
	</div>
</div>
<?php
 $this->HTML_FOOTER(); }  function SHOW_SCRIPT_CSS() { ?>

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.10/semantic.min.css" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.10/semantic.min.js"></script>

<style>
body{ background: #f1f1f1 !important; }
body, html
{
	height: auto !important;
}
.message.error{ display: none; }

.demo-press-container
{
	font-family:-apple-system, BlinkMacSystemFont, "Helvetica Neue", "Segoe UI","Noto Sans Japanese","ヒラギノ角ゴ ProN W3", Meiryo, sans-serif;
	max-width: 600px;
	margin: 0 auto;
	padding: 2rem 0.5rem 2rem 0.5rem;
}
.demo-press-container .ui.header
{
	font-family:-apple-system, BlinkMacSystemFont, "Helvetica Neue", "Segoe UI","Noto Sans Japanese","ヒラギノ角ゴ ProN W3", Meiryo, sans-serif;
	font-weight: normal;
	margin: 0 0 1rem 0;
}
</style>

<?php
 }  function USER_ENTRY() {  if( $_REQUEST[ 'cmd' ] != 'demo-press_registration_finish' ) { return; } global $DEMO_V , $JP;  foreach( (array)$DEMO_V as $val ) { if( is_array( $val )){ extract( $val ); } } $mail = esc_html( $_REQUEST[ 'mail' ] );  if( email_exists( $mail ) ) { $this->ERROR_AREADY(); exit; }  $tran_key = $this->MAKE_TRANSIENT_KEY( $mail );  $H_user = $JP->GET_TRANSIENT( $tran_key , $json_decode = 1 );  if( $H_user ) { $this->USER_ENTRY_FINISH( $mail ); exit(); }  else {  $this->ERROR_NO_REGIST(); exit(); } exit(); }  function USER_PRE_ENTRY() {  if( $_REQUEST[ 'cmd' ] != 'demo-press_registration' ) { return; } global $DEMO_V , $JP;  foreach( (array)$DEMO_V as $val ) { if( is_array( $val )){ extract( $val ); } } $url = esc_html( $_REQUEST[ 'item' ][ 'url' ] ); $mail = esc_html( $_REQUEST[ 'item' ][ 'mail' ] ); $ref_url = esc_html( $_REQUEST[ 'item' ][ 'ref_url' ] ); $name1 = esc_html( $_REQUEST[ 'item' ][ 'name1' ] ); $name2 = esc_html( $_REQUEST[ 'item' ][ 'name2' ] ); $comment = esc_html( $_REQUEST[ 'item' ][ 'comment' ] );  $domain = $this->GET_DOMAIN( $ref_url );  if( email_exists( $mail ) ) { $H_response = array( 'status' => 'success' , 'msg' => $mail . 'は既に登録されています。' ); }  $tran_key = $this->MAKE_TRANSIENT_KEY( $mail );  $H_user = $JP->GET_TRANSIENT( $tran_key , $json_decode = 1 );  if( $H_user ) { $H_response = array( 'status' => 'success' , 'msg' => $mail . 'は既に仮登録されています。送信されたメールを確認して本登録をして下さい。' ); }  else {  $H_user = compact( 'url' , 'mail' , 'name1' , 'name2' , 'ref_url' );  $JP->SET_TRANSIENT( $tran_key , $H_user , $ENTRY_LIMIT , $json_encode = 1 ); $ADMIN_MAIL = $ADMIN_MAIL ? $ADMIN_MAIL : get_bloginfo( 'admin_email' ); $MAIL_SENDER = $MAIL_SENDER ? $MAIL_SENDER : get_bloginfo( 'name' );  $H_query = array ( 'cmd' => 'demo-press_registration_finish' , 'mail' => $mail , 'nonce' => wp_create_nonce( $NOUNCE_KEY ) , );  $query = http_build_query( $H_query , null , '&' );  $entry_url = get_site_url( null , '/?' . $query );  $H_query[ 'entry_url' ] = $entry_url;  $H_query = array_merge( $H_query , $_REQUEST[ 'item' ] );  $PRE_ENTRY_MSG = $JP->CHANGE_PLACEHOLDER( $PRE_ENTRY_MSG , $H_query ); $PRE_ENTRY_SUBJECT = $JP->CHANGE_PLACEHOLDER( $PRE_ENTRY_SUBJECT , $H_query ); $A_headers = array(); $A_headers[] = 'From: ' . $MAIL_SENDER . ' <' . $ADMIN_MAIL . '>'; $A_headers[] = 'Content-Type: text/plain; charset=UTF-8';  wp_mail( $mail , $PRE_ENTRY_SUBJECT , $PRE_ENTRY_MSG , $A_headers ); $H_response = array( 'status' => 'success' , 'msg' => '仮会員登録に成功しメールが送信されました。今すぐメールを確認して下さい。' ); }  echo json_encode( $H_response ); exit(); }  function AJAX_USER_ENTRY() { global $DEMO_V , $JP;  foreach( (array)$DEMO_V as $val ) { if( is_array( $val )){ extract( $val ); } } $token = $_REQUEST[ 'token' ]; $quiz = esc_html( $_REQUEST[ 'quiz' ] ); $pass = trim( esc_html( $_REQUEST[ 'pass' ] ) ); $mail = trim( esc_html( $_REQUEST[ 'mail' ] ) );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name;  if(! wp_verify_nonce( $token , $nounce_key ) ) {  $this->DMPF( "$token , $nounce_key" , "nonce_error.txt" , 1 );  $response = json_encode( array( 'status' => 'error' , 'msg' => 'トークンエラーが発生しました!' ) ); echo $response; exit; }  header( "Content-Type: application/json" );  if(! is_email( $mail ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => 'メールアドレスが正しい形式ではありませんでした!' ) ); echo $response; exit; }  if( $mail == $pass ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => 'メールアドレスとパスワードは一緒にできません!' ) ); echo $response; exit; }  if( $quiz != $QUIZ_ANSWER ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => 'クイズの答えが間違っています!' ) ); echo $response; exit; }  $tran_key = $this->MAKE_TRANSIENT_KEY( $mail );  $H_user = $JP->GET_TRANSIENT( $tran_key , $json_decode = 1 );  if(! $H_user ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '仮登録データがありませんでした!　仮登録からやり直して下さい。' ) ); echo $response; exit; }  $result = wp_create_user( $mail , $pass , $mail );  if( is_wp_error( $result ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => $result->get_error_message() ) ); echo $response; exit; }  $JP->DEL_TRANSIENT( $tran_key );  $H_query = array ( 'mail' => $mail , 'login_url' => wp_login_url() , );  $ENTRY_MSG = $JP->CHANGE_PLACEHOLDER( $ENTRY_MSG , $H_query ); $ENTRY_SUBJECT = $JP->CHANGE_PLACEHOLDER( $ENTRY_SUBJECT , $H_query ); $A_headers = array(); $A_headers[] = 'From: ' . $MAIL_SENDER . ' <' . $ADMIN_MAIL . '>'; $A_headers[] = 'Content-Type: text/plain; charset=UTF-8';  wp_mail( $mail , $ENTRY_SUBJECT , $ENTRY_MSG , $A_headers ); $H_res = array( 'status' => 'success' , 'msg' => '本会員登録に成功しメールが送信されました。今すぐメールを確認して下さい。' );  $response = json_encode( $H_res ); echo $response; exit; }  function AJAX_AUTHENTICATION() { global $JP; $token = $_REQUEST[ 'token' ]; $name1 = esc_html( $_REQUEST[ 'name1' ] ); $name2 = esc_html( $_REQUEST[ 'name2' ] ); $mail = esc_html( $_REQUEST[ 'mail' ] ); $comment = esc_html( $_REQUEST[ 'comment' ] ); $url = esc_html( $_REQUEST[ 'url' ] );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name;  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  if(! wp_verify_nonce( $token , $nounce_key ) ) {  $this->DMPF( "$token , $nounce_key" , "nonce_error.txt" , 1 ); exit; }  header( "Content-Type: application/json" );  if(! current_user_can( 'manage_options' ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '管理者権限がありませんでした!' ) ); echo $response; exit; }  if(! is_email( $mail ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => 'メールアドレスが正しい形式ではありませんでした!' ) ); echo $response; exit; }  $option_name = $item_name . '-' . 'authentication';  $H_param = $JP->GET_OPTION( $option_name , 1 );  $sended_flag = $H_param[ 'sended' ];  $domain = ( empty( $_SERVER["HTTPS"] ) ? "http://" : "https://" ) . $_SERVER["HTTP_HOST"];  $domain = str_replace( array( 'https://' , 'http://' ) , '' , $domain );  $H_arg = array ( 'url' => $url , 'item_name' => $item_name , 'ref_url' => $ref_url , 'name1' => $name1 , 'name2' => $name2 , 'mail' => $mail , 'comment' => $comment , 'blogname' => get_option( 'blogname' ) , 'domain' => $domain , 'date' => date_i18n( 'U' ) , 'REQUEST' => $_REQUEST , );  $H_param = array ( 'cmd' => 'demo-press_registration' , 'item' => $H_arg , 'date' => date_i18n( 'U' ) , );  list( $code , $response ) = $JP->GET_REMOTE_SITE( $url , 5 , '' , 'POST' , $H_param );  if( $code != 200 ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => 'エラーコード ' . $code . '。通信エラーが発生しました!' ) ); echo $response; exit; }  $body = wp_remote_retrieve_body( $response );  $H_res = json_decode( $body , true );  $H_param[ 'res' ] = $H_res;  $response = json_encode( $H_res );  if( $H_res[ 'status' ] == 'success' and ! $sended_flag ) { $ADMIN_MAIL = get_option( 'admin_email' ); $MAIL_SENDER = '【阿修羅ワークス】';  $MAIL_SUBJECT = "阿修羅ワークスからの重要なお知らせ"; $MAIL_BODY = <<< EOM
阿修羅ワークスからの重要なお知らせです。
デモサイトのご登録ありがとうございました。

新しくお得なサブスクプランをリリースしましたのでご案内致します。
初回限定で月々たったの1000円で全てのプラグインが使い放題になります。

▼プラグイン使い放題サブスク1000
https://wp-plugin.info/plugins-subsc/

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
■買い切りプランとの違いは？
────────────────────────────────

買い切りとサブスクの違いですが、買い切りは支払いが一回限りで
自分が所有する複数のサイトへ無制限にインストールできます。

サブスクの場合は、月々の料金が発生します。
1ライセンスでWordPressは1サイトのみにインストールできます。
阿修羅ワークスが開発したオリジナルWordPressプラグインが使い放題
となります。

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
■プラグイン使い放題サブスク1000を選ぶメリット
────────────────────────────────

プラグイン使い放題サブスク1000を選ぶメリットは3つあります。

1つ目は、使い放題サブスクにしかないプラグインがあること。
2つ目は、将来的に個別にオーダーメイド機能を実装できること。
3つ目は、価格が安いので始めやすく、フルラインナップを利用できること。

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
■お申し込みともっと詳しく知りたい方へ
────────────────────────────────

もっと詳しく知りたい方はこちらを御覧下さい

▼プラグイン使い放題サブスク1000
https://wp-plugin.info/plugins-subsc/
※月々たったの1000円は初回限定です

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
ワードプレス魔改造屋 阿修羅ワークス
Mail: mail@wp-plugin.info
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

EOM;
 $A_headers = array(); $A_headers[] = 'From: ' . $MAIL_SENDER . ' <' . $ADMIN_MAIL . '>'; $A_headers[] = 'Bcc: ' . $MAIL_SENDER . ' <mail@wp-plugin.info>'; $A_headers[] = 'Content-Type: text/plain; charset=UTF-8';   }  $JP->UPDATE_OPTION( $option_name , $H_param ); echo $response; exit; }  function REGIST() { global $JP;  if(! $JP->ADMIN_WARNING() ) { return; }  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name; global $JP;  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $option_name = $item_name . '-' . 'authentication';  $H_auth = $JP->GET_OPTION( $option_name );  if( $H_auth ) { extract( $H_auth ); }  $Common_PrintOut = new mhs_Common_PrintOut();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Semantic UI' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); ?>

<!-- 入力エラーモーダルダイアログ -->
<div class="ui modal input-error">
  <i class="close icon"></i>

  <div class="header">入力エラー</div>

  <div class="content">

    <div class="description">

      <div class="ui header">入力ミスがあります</div>

      <p>名前またはメールアドレス、希望するデモサイトが正しく入力されていませんでした。再度確認した上で入力をお願いします。</p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>

<!-- ajax通信結果モーダルダイアログ -->
<div class="ui modal ajax-result">
  <i class="close icon"></i>

  <div class="header">登録結果</div>

  <div class="content">

    <div class="description">
      <p></p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>


<script type="text/javascript">

jQuery( function( $ )
{

	$( '#button' ).click( function()
	{

		//モーダルを初期化
		$( '.ui.modal.ajax-result .content p' ).empty();


		var $mail	= $( '#mail' ).val();
		var $name1	= $( '#name1' ).val();
		var $name2	= $( '#name2' ).val();
		var $comment= $( '#comment' ).val();
		var $url	= $( '#url' ).val();

		//メールアドレスの形式でなければ
		if(! $mail.match( /^[-a-z0-9~!$%^&*_=+}{?]+(\.[-a-z0-9~!$%^&*_=+}{?]+)*@([a-z0-9_][-a-z0-9_]*(\.[-a-z0-9_]+)*\.(aero|arpa|biz|com|coop|edu|gov|info|int|mil|museum|name|net|org|pro|travel|mobi|work|[a-z][a-z]|[a-z][a-z][a-z]|[a-z][a-z][a-z][a-z])|([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}))(:[0-9]{1,5})?$/i ) )
		{
			//モーダルダイアログを表示
			$( '.ui.modal.input-error' ).modal( 'show' );

			return false;
		}

		//メールまたは名前が入力されていなければ
		if(! $mail || ! $name1 || ! $name2 || ! $url )
		{
			//モーダルダイアログを表示
			$( '.ui.modal.input-error' ).modal( 'show' );

			return false;
		}


		data = 
		{
			action 	: '<?php echo $item_name; ?>-user_authentication' ,	//アクションフックに紐付けする名前
			mail	: $mail ,
			name1	: $name1 ,
			name2	: $name2 ,
			comment	: $comment ,
			url		: $url ,
			token	: <?php echo '"' . wp_create_nonce( $nounce_key ) . '"'; ?> 
		};


		$.ajax(
		{
			url		: "<?php echo admin_url( 'admin-ajax.php' ); ?>" ,
			type	: 'POST' ,
			cache	: false ,
//			timeout	: 5000 ,
			data	: data
		})
		.success( function( data , state )
		{
			//書き換え
			$( '.ui.modal.ajax-result .content p' ).html( data.msg );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-result' ).modal( 'show' );

			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			//書き換え
			$( '.ui.modal.ajax-result .content p' ).html( "通信処理は失敗しました" );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-result' ).modal( 'show' );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});

	});

});
</script>


<div class="wrap">
	<h2>デモサイトユーザー登録</h2>

	<div class="ui form" style="margin-top: 2rem;">
		<h4 class="ui dividing header">全ての項目を正しく入力して下さい。<br>もしエラーが出る場合はお手数ですがエラー内容を添えてご連絡下さい。</h4>

		<div class="two fields">
			<div class="required field">
			<label>苗字</label>
				<input id="name1" placeholder="苗字" type="text" value="<?php $name1; ?>">
			</div>
		</div>

		<div class="two fields">
			<div class="required field">
			<label>名前</label>
				<input id="name2" placeholder="名前" type="text" value="<?php $name2; ?>">
			</div>
		</div>

		<div class="two fields">
			<div class="required field">
			<label>メールアドレス</label>
				<input id="mail" placeholder="メールアドレス" type="text" value="<?php $mail; ?>">
			</div>
		</div>

		<div class="two fields">
			<div class="field">
			<label>主な利用目的または期待する機能</label>
				<textarea id="comment" placeholder="主な利用目的または期待する機能" ><?php $comment; ?></textarea>
			</div>
		</div>

		<div class="two fields">
			<div class="required field">
			<label>希望デモサイト</label>
				<select id="url">
					<option value="">選択して下さい</value>

					<option value="https://mersearch-press.wp-pl-demo.site/">メルサーチプレス(Mersearch Press)</option>
					<option value="https://reddit-press.wp-pl-demo.site/">レディットプレス(Reddit Press)</option>
					<option value="https://raku-press.wp-pl-demo.site/">楽 プレス(Raku Press)</option>
					<option value="https://amazon-press.wp-pl-demo.site/">アマゾンプレス(Amazon Press)</option>


					<option value="https://fanxxa.wp-pl-demo.site/">ファンザプレス(FANXXA Press)</option>
					<option value="https://scrapeing-press.wp-pl-demo.site/">スクレイピングプレス(Scrapeing Press)</option>
					<option value="https://2-5ch-press.wp-pl-demo.site/">2.5ちゃんプレス(2.5ch Press)</option>
					<option value="https://yahoo-auction-search-press.wp-pl-demo.site/">ヤフオクサーチプレス(Yahoo Auction Search Press)</option>
					<option value="https://brain-press.wp-pl-demo.site/">ブレインプレス(Brain Press)</option>
					<option value="https://theme-support-press.wp-pl-demo.site/">テーマサポートプレス(Theme Support Press)</option>
					<option value="https://smart-content-post.wp-pl-demo.site/">ポケットプレス(Pocket Press)</option>
					<option value="https://tumbler-press.wp-pl-demo.site/">タンブラープレス(Tumbler Press)</option>
					<option value="https://translate-press.wp-pl-demo.site/">翻訳プレス(Translate Press)</option>
					<option value="https://stealth-redirect-press.wp-pl-demo.site/">ステルスリダイレクトプレス(Translate Press)</option>
					<option value="https://auto-blog-rewrite.wp-pl-demo.site/">オートブログリライト(Auto Blog Rewrite)</option>
					<option value="https://magical-rewrite-post.wp-pl-demo.site/">マジカルリライトポスト(Magical Rewrite Post)</option>
					<option value="https://copy-paste-check-press.wp-pl-demo.site/">コピペチェックプレス(Copy Paste Check Press)</option>
					<option value="https://thumbnail-press.wp-pl-demo.site/">サムネイルプレス(Thumbnail Press)</option>

					<option value="https://youtuber-press.wp-pl-demo.site/">ユーチューバープレス(Youtuber Press)</option>
					<option value="https://markove-rewrite-summarizer.wp-pl-demo.site/">マルコフリライトサマライザー(Markove Rewrite Summarizer)</option>
					<option value="https://wp-rss-scraping-post.wp-pl-demo.site/">RSSスクレイピングプレス(WP RSS Scrapeing Press)</option>
					<option value="https://getwin.wp-pl-demo.site/">ゲッツ・イン(Get Tweet In)</option>
					<option value="https://delete-press.wp-pl-demo.site/">デリートプレス(Delete Press)</option>
					<option value="https://tweet-press.wp-pl-demo.site/">ツイートプレス(Tweet Press)</option>
					<option value="https://auto-twitter-follow.wp-pl-demo.site/">オートツイッターフォロー(Auto Twitter Follow)</option>
					<option value="https://wp-go2-twitter.wp-pl-demo.site/">ワードプレス・ゴートゥー・ツイッター(WP Go2 Twitter)</option>
				</select>
			</div>
		</div>

		<button id="button" class="ui primary button" style="font-size: 0.7rem;">ユーザー登録</button>

	</div>

</div>

<?php
 }  function MAKE_TRANSIENT_KEY( $string ) { return 'demo-press__' . $string; }  function GET_DOMAIN( $url ) { if(! $url ) { return; }  $domain = parse_url( $url , PHP_URL_HOST ); return $domain; }  function SETTING_WARPPER() { global $DEMO_V , $JP; $JP->SETTING( $DEMO_V , $this , __FILE__ ); }  function ADMIN_MENU() { global $DEMO_V , $JP;  foreach( (array)$DEMO_V as $val ) { if( is_array( $val )){ extract( $val ); } }  $this->ADD_MENU( $MENU_PREFIX , 8 , __FILE__ , $this , 'REGIST' , 'dashicons-tickets' ); $this->ADD_SUBMENU( $MENU_PREFIX , 'ユーザー登録' , 8 , __FILE__ , $this , 'REGIST' );  }  function ADD_MENU( $menu_prefix , $level , $pid , $class_name , $do_func , $icon ) {  add_menu_page ( $menu_prefix . ' - 設定' ,  $menu_prefix ,  $level ,  $pid ,  array( &$class_name , $do_func ),  $icon  ); }  function ADD_SUBMENU( $menu_prefix , $menu_title , $level , $pid , $class_name , $do_func ) {  add_submenu_page ( __FILE__,  $menu_prefix ." - $menu_title",  $menu_title ,  $level ,  $pid ,  array( &$class_name , $do_func ) ); }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } 